1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Autoupdate Failure

Discussion in 'Plesk 9.x for Linux Issues, Fixes, How-To' started by Joshua Sortino, May 26, 2009.

  1. Joshua Sortino

    Joshua Sortino Guest

    0
     
    I'm trying to upgrade from Plesk 9.0.0 to 9.0.1 but I get the following error:

    Plesk autoupdate failure report



    Parallels Products Installer 3.4.1 (build at 2009-02-04 18:09 svn rev. 0) started at (timezone EST) Tue May 26 11:08:44 2009 Command line args: /usr/local/psa/admin/bin/autoinstaller --enable-xml-output --source-type=plesk --target=/root/psa --select-release-id=PLESK_9_0_1 --notify-email=webadmin@bmgoffice.com --install-component=base --install-component=java --install-component=psa-firewall --install-component=psa-vpn --install-component=psa-fileserver --install-component=watchdog --install-component=spamassassin

    Try to find rcfile...
    Autoinstaller rcfile not found.
    Checking hostname is sucessfull.
    Opsys detected as: os_vendor=RedHat os_name=Linux version=el5.3 arch=i686 environment=~empty Final opsys (with overriding) is: os_vendor=RedHat os_name=Linux version=el5.3 arch=i686 environment=~empty Downloading the file products.inf3: 100% done.
    Downloading the file plesk.inf3: 10%..21%..32%..40%..51%..60%..71%..80%..90%..100% done.
    Downloading the file sitebuilder.inf3: 15%..35%..55%..75%..100% done.
    Downloading the file sso.inf3: 13%..27%..40%..54%..67%..81%..94%..100% done.
    repository: Get brief packages info for all sources Checking for installed packages...
    Downloading the file PSA_9.0.1/plesk-9.0.1-rhel5-i386.inf3: 10%..20%..30%..40%..50%..60%..70%..80%..90%..100% done.
    repository: Get brief packages info for all sources Detecting installed product components.
    Component plesk/base: mode upgrade, installed=1226923385, available=1233061647 Checking if key update required for component plesk/base Config allows upgrade from version 9.0 without key update Currently installed component version is 9.0.0-rhel5.build90081117.17 No keyupdate need for this component Component plesk/psa-autoinstaller: mode up2date, installed=1233749507, available=1232435359 Component plesk/php5: mode up2date, installed=1233061648, available=1233061648 Component plesk/postgresql: mode up2date, installed=1199582968, available=1199582968 Component plesk/vault: mode up2date, installed=1233061638, available=1233061638 Component plesk/ppwse: mode upgrade, installed=1226923407, available=1233061619 Component plesk/api: mode up2date, installed=1233061572, available=1233061572 Component plesk/pmm: mode up2date, installed=1233061539, available=1233061539 Component plesk/sb-publish: mode install, installed=0, available=1179888425 Component plesk/sbm: mode install, installed=0, available=1220864885 Component plesk/cf-support: mode install, installed=0, available=1233061628 Component plesk/miva: mode install, installed=0, available=1233061631 Component plesk/billing: mode upgrade, installed=1228546791, available=1233070593 Component plesk/mod-bw: mode up2date, installed=1194491237, available=1194491237 Component plesk/asp: mode up2date, installed=1223518434, available=1223518470 Component plesk/java: mode upgrade, installed=1226923365, available=1233061576 Component plesk/mod_python: mode up2date, installed=1152718482, available=1152718482 Component plesk/ruby: mode upgrade, installed=1226923418, available=1233061629 Component plesk/qmail: mode upgrade, installed=1229924385, available=1233061645 Component plesk/postfix: mode install, installed=0, available=1233061645 Component plesk/psa-firewall: mode upgrade, installed=1226923364, available=1233061575 Component plesk/psa-vpn: mode upgrade, installed=1226923391, available=1233061603 Component plesk/psa-fileserver: mode upgrade, installed=1228838622, available=1233061570 Component plesk/sshterm: mode upgrade, installed=1226374934, available=1228112978 Component plesk/watchdog: mode upgrade, installed=1226923411, available=1233061622 Component plesk/cs-gs: mode install, installed=0, available=1233061574 Component plesk/battlefield: mode install, installed=0, available=1233061613 Component plesk/bf2: mode install, installed=0, available=1233061628 Component plesk/mailman: mode upgrade, installed=1226923415, available=1233061626 Component plesk/kav: mode install, installed=0, available=1233061635 Component plesk/drweb: mode install, installed=0, available=1233061556 Component plesk/spamassassin: mode upgrade, installed=1229924394, available=1233061579 Component plesk/backup-ded: mode up2date, installed=1233061624, available=1233061624 Component plesk/atis: mode install, installed=0, available=1225196787 Component plesk/de-DE-locale: mode install, installed=0, available=1233050941 Component plesk/ja-JP-locale: mode install, installed=0, available=1233051011 Component plesk/es-ES-locale: mode install, installed=0, available=1233050963 Component plesk/ru-RU-locale: mode install, installed=0, available=1233051030 Component plesk/fr-FR-locale: mode install, installed=0, available=1233050979 Component plesk/it-IT-locale: mode install, installed=0, available=1233053924 Component plesk/zh-CN-locale: mode install, installed=0, available=1233051047 Component plesk/zh-TW-locale: mode install, installed=0, available=1233051064 Component plesk/nl-NL-locale: mode install, installed=0, available=1233051083 Component plesk/horde: mode upgrade, installed=1226923399, available=1233061611 Component plesk/atmail: mode install, installed=0, available=1233061551
    KeyUpdateChecker::doCheck: no components for check key update
    repository: Get full packages info for all sources Retrieving information about the installed packages...
    read cache file
    Downloading the file PSA_9.0.1/update-rpm-RedHat-el5-i386/update-9.0.1-rhel5-i386.hdr.gz: 10%..20%..30%..40%..50%..60%..70%..80%..90%..100% done.
    Downloading the file PSA_9.0.1/dist-rpm-RedHat-el5-i386/build-9.0.1-rhel5-i386.hdr.gz: 10%..20%..30%..40%..50%..60%..70%..80%..90%..100% done.
    Downloading the file PSA_9.0.1/thirdparty-rpm-RedHat-el5-i386/thirdparty-9.0.1-rhel5-i386.hdr.gz: 11%..20%..32%..41%..50%..61%..70%..82%..91%..100% done.
    Determining the packages that need to be installed.
    skip package 'plesk-base-9.0.1-rhel5.build90090127.18.i586 (s 0x9874630 source=0x92d9240 P:16 R:14)' from component base - there is same or newer version of this package is installed (in system plesk-base-9.0.1-rhel5.build90090127.18.i586 (s 0x9874630 source=0x92d9240 P:16 R:14))
    skip package 'plesk-skins-9.0.1-0.279955.noarch (s 0x935aca8 source=0x92d9240 P:6637 R:0)' from component base - there is same or newer version of this package is installed (in system plesk-skins-9.0.1-0.279955.noarch (s 0x935aca8 source=0x92d9240 P:6637 R:0))
     
  2. Joshua Sortino

    Joshua Sortino Guest

    0
     
    Here's the second half:

    skip package 'psa-api-9.0.1-rhel5.build90090127.18.noarch (s 0x934edb8 source=0x92d9240 P:1046 R:8)' from component base - there is same or newer version of this package is installed (in system psa-api-9.0.1-rhel5.build90090127.18.noarch (s 0x934edb8 source=0x92d9240 P:1046 R:8))
    skip package 'psa-fcgi-2.4.0-2.i386 (s 0x934a740 source=0x92d9240 P:42 R:16)' from component base - there is same or newer version of this package is installed (in system psa-fcgi-2.4.0-2.i386 (s 0x934a740 source=0x92d9240 P:42 R:16))
    skip package 'psa-libpam-plesk-9.0.1-rhel5.build90090127.18.i586 (s 0x9328550 source=0x92d9240 P:17 R:6)' from component base - there is same or newer version of this package is installed (in system psa-libpam-plesk-9.0.1-rhel5.build90090127.18.i586 (s 0x9328550 source=0x92d9240 P:17 R:6))
    skip package 'psa-locale-base-en-US-9.0.1-09012214.noarch (s 0x9372870 source=0x92d9240 P:1577 R:0)' from component base - there is same or newer version of this package is installed (in system psa-locale-base-en-US-9.0.1-09012214.noarch (s 0x9372870 source=0x92d9240 P:1577 R:0))
    skip package 'psa-logrotate-3.7-rhel5.build90090127.18.i586 (s 0x935aa70 source=0x92d9240 P:8 R:9)' from component base - there is same or newer version of this package is installed (in system psa-logrotate-3.7-rhel5.build90090127.18.i586 (s 0x935aa70 source=0x92d9240 P:8 R:9))
    skip package 'psa-mod-fcgid-configurator-1.0-13.i386 (s 0x9ad69e8 source=0x92d9240 P:6 R:4)' from component base - there is same or newer version of this package is installed (in system psa-mod-fcgid-configurator-1.0-13.i386 (s 0x9ad69e8 source=0x92d9240 P:6 R:4))
    skip package 'psa-mod_fcgid-1.10-3.i386 (s 0x93773c8 source=0x92d9240 P:12 R:1)' from component base - there is same or newer version of this package is installed (in system psa-mod_fcgid-1.10-3.i386 (s 0x93773c8 source=0x92d9240 P:12 R:1))
    skip package 'psa-proftpd-1.3.1-rhel5.build90090127.18.i586 (s 0x9372718 source=0x92d9240 P:140 R:24)' from component base - there is same or newer version of this package is installed (in system psa-proftpd-1.3.1-rhel5.build90090127.18.i586 (s 0x9372718 source=0x92d9240 P:140 R:24))
    skip package 'psa-proftpd-xinetd-1.3.1-rhel5.build90090127.18.i586 (s 0x93891b8 source=0x92d9240 P:7 R:7)' from component base - there is same or newer version of this package is installed (in system psa-proftpd-xinetd-1.3.1-rhel5.build90090127.18.i586 (s 0x93891b8 source=0x92d9240 P:7 R:7))
    skip package 'psa-pylibplesk-9.0.1-rhel5.build90090127.18.i586 (s 0x935aba0 source=0x92d9240 P:10 R:0)' from component base - there is same or newer version of this package is installed (in system psa-pylibplesk-9.0.1-rhel5.build90090127.18.i586 (s 0x935aba0 source=0x92d9240 P:10 R:0))
    skip package 'psa-selinux-9.0.1-rhel5.build90090127.18.noarch (s 0x9328430 source=0x92d9240 P:3 R:2)' from component base - there is same or newer version of this package is installed (in system psa-selinux-9.0.1-rhel5.build90090127.18.noarch (s 0x9328430 source=0x92d9240 P:3 R:2))
    skip package 'psa-updates-9.0.1-rhel5.build90090127.18.noarch (s 0x9876998 source=0x92d9240 P:1 R:1)' from component base - there is same or newer version of this package is installed (in system psa-updates-9.0.1-rhel5.build90090127.18.noarch (s 0x9876998 source=0x92d9240 P:1 R:1))
    skip package 'mod_jk-1.2.15-6.98051.i386 (s 0x9370b20 source=0x92d9240 P:3 R:9)' from component java - there is same or newer version of this package is installed (in system mod_jk-1.2.15-6.98051.i386 (s 0x9370b20 source=0x92d9240 P:3 R:9))
    Warning: unresolved requires 'psa-locale-base = 9.0.0' from psa-9.0.0-rhel5.build90081117.17.i586 (s 0x9c49a78 source=0x92d9240 P:3632 R:85)
    Warning: unresolved requires 'plesk-skins-9.0.0' from psa-9.0.0-rhel5.build90081117.17.i586 (s 0x9c49a78 source=0x92d9240 P:3632 R:85)
    Warning: unresolved requires '/usr/bin/lp' from redhat-lsb-3.1-12.3.EL.i386 (s 0x938b3b0 source=0x92d9240 P:27 R:154)
    Warning: unresolved requires '/usr/bin/lpr' from redhat-lsb-3.1-12.3.EL.i386 (s 0x938b3b0 source=0x92d9240 P:27 R:154) Check package set before installation Downloading the file PSA_9.0.1/dist-rpm-RedHat-el5-i386/base/psa-9.0.1-rhel5.build90090127.18.i586.rpm: skipped because of md5 checksum match.
    Downloading the file PSA_9.0.1/dist-rpm-RedHat-el5-i386/base/psa-awstats-configurator-1.0.0-rhel5.build90090127.18.noarch.rpm: skipped because of md5 checksum match.
    Downloading the file PSA_9.0.1/dist-rpm-RedHat-el5-i386/opt/java/psa-tomcat-configurator-9.0.1-rhel5.build90090127.18.noarch.rpm: skipped because of md5 checksum match.
    Downloading the file PSA_9.0.1/dist-rpm-RedHat-el5-i386/opt/modules/firewall/psa-firewall-1.0.1-rhel5.build90090127.18.i586.rpm: skipped because of md5 checksum match.
    Downloading the file PSA_9.0.1/dist-rpm-RedHat-el5-i386/opt/modules/vpn/psa-vpn-2.0.1-rhel5.build90090127.18.i586.rpm: skipped because of md5 checksum match.
    Downloading the file PSA_9.0.1/dist-rpm-RedHat-el5-i386/opt/modules/fileserver/psa-fileserver-1.0.0-rhel5.build90090127.18.i586.rpm: skipped because of md5 checksum match.
    Downloading the file PSA_9.0.1/dist-rpm-RedHat-el5-i386/opt/modules/watchdog/psa-watchdog-2.0.3-rhel5.build90090127.18.i586.rpm: skipped because of md5 checksum match.
    Downloading the file PSA_9.0.1/dist-rpm-RedHat-el5-i386/opt/mail/psa-spamassassin-9.0.1-rhel5.build90090127.18.i586.rpm: skipped because of md5 checksum match.
    Starting installation of packages
    Warning: unresolved requires 'psa-locale-base = 9.0.0' from psa-9.0.0-rhel5.build90081117.17.i586 (s 0x9c49a78 source=0x92d9240 P:3632 R:85)
    Warning: unresolved requires 'plesk-skins-9.0.0' from psa-9.0.0-rhel5.build90081117.17.i586 (s 0x9c49a78 source=0x92d9240 P:3632 R:85)

    Warning: unresolved requires '/usr/bin/lp' from redhat-lsb-3.1-12.3.EL.i386 (s 0x938b3b0 source=0x92d9240 P:27 R:152)
    Warning: unresolved requires '/usr/bin/lpr' from redhat-lsb-3.1-12.3.EL.i386 (s 0x938b3b0 source=0x92d9240 P:27 R:152)
    Warning: unresolved requires '/usr/sbin/sendmail' from redhat-lsb-3.1-12.3.EL.i386 (s 0x938b3b0 source=0x92d9240 P:27 R:152) Installing the package psa-9.0.1-rhel5.build90090127.18.i586 (b 0xa9aa418 source=0x9452a60 P:3636 R:85) Warning!
    Unable to determine the host or domain name of your computer.
    Setting it to localhost.localdomain
    Can not bind a socket to address localhost.localdomain:715 - Cannot assign requested address Please, check your network configuration

    ERROR while trying to check the hostname Check the error reason(see log file: /tmp/psa_9.0.1_rhel5.build90090127.18_upgrade.090526.11.10.log), fix and try again

    Aborting...

    error: %pre(psa-9.0.1-rhel5.build90090127.18.i586) scriptlet failed, exit status 1
    error: install: %pre scriptlet failed (2), skipping psa-9.0.1-rhel5.build90090127.18
    ERROR: An error occurred during installation of packages.
    Attention! Your software might be inoperable.
    Please, contact product technical support.


    ---
    Parallels Products Installer.
     
  3. atomicturtle

    atomicturtle Golden Pleskian

    29
     
    Joined:
    Nov 20, 2002
    Messages:
    2,110
    Likes Received:
    7
    Location:
    Washington, DC
    I'll bet all you need to do is to set your hostname in /etc/hosts
     
  4. Joshua Sortino

    Joshua Sortino Guest

    0
     
    Thanks for your reply atomicturtle. Many times have I fixed a problem from a solution you p osted.

    Setting the hostname has always confused me. What should this be set to? A domain or localhost.localdomain?
     
  5. atomicturtle

    atomicturtle Golden Pleskian

    29
     
    Joined:
    Nov 20, 2002
    Messages:
    2,110
    Likes Received:
    7
    Location:
    Washington, DC
    you want to set that to the name of the system reported by the "hostname" command
     
  6. Joshua Sortino

    Joshua Sortino Guest

    0
     
    Currently it is set to the name of the hostname command. Any idea why it's giving me trouble?
     
  7. charles bailey

    charles bailey Guest

    0
     
    ip address vs hosts file

    In my case the ip address listed on the second line in my /etc/hosts file did not match the first ip address when I did a

    ifconfig

    So I changed the /etc/hosts file (after making a backup of the file) and make the ip address in the second line the same as the first ip address assigned to the network card (showed up first with ifconfig)
     
Loading...